﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Kresleni
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            pictureBox_SizeChanged(null, null);
        }

        private void pictureBox_SizeChanged(object sender, EventArgs e)
        {
            int w = pictureBox.ClientSize.Width;
            int h = pictureBox.ClientSize.Height;
            if (w > 0 && h > 0)
            {
                Bitmap t = null;
                if (pictureBox.Image != null)
                {
                    t = new Bitmap(pictureBox.Image);
                    w = Math.Max(w, pictureBox.Image.Width);
                    h = Math.Max(h, pictureBox.Image.Height);
                }

                pictureBox.Image = new Bitmap(w, h);

                Graphics g = Graphics.FromImage(pictureBox.Image);
                Brush b = Brushes.White;
                g.FillRectangle(b, 0, 0, w, h);

                if (t != null)
                   g.DrawImage(t, 0, 0);
            }
        }



        private void runMenu_Click(object sender, EventArgs e)
        {
            Graphics g = Graphics.FromImage (pictureBox.Image);
            Pen p = Pens.Red;
            g.DrawLine (p, 0, 0, 100, 200);
            pictureBox.Invalidate ();
        }

        private int X0, Y0;
        private bool stisknuto = false;
        private Bitmap save;

        private void pictureBox_MouseDown(object sender, MouseEventArgs e)
        {
            X0 = e.X;
            Y0 = e.Y;
            stisknuto = true;
            save = new Bitmap (pictureBox.Image);
        }

        private void pictureBox_MouseMove(object sender, MouseEventArgs e)
        {
            if (stisknuto)
            {
                Graphics g = Graphics.FromImage(pictureBox.Image);
                g.DrawImage(save, 0, 0);
                Pen p = new Pen(Color.Blue);
                g.DrawLine(p, X0, Y0, e.X, e.Y);
                pictureBox.Invalidate();
            }
        }


        private void pictureBox_MouseUp(object sender, MouseEventArgs e)
        {
            stisknuto = false;
            Graphics g = Graphics.FromImage(pictureBox.Image);
            g.DrawImage(save, 0, 0);
            // Pen p = new Pen(Color.Red);
            // p.Width = 3;
            g.DrawLine(pen, X0, Y0, e.X, e.Y);
            pictureBox.Invalidate();
        }

        Pen pen = new Pen (Color.SlateGray);

        private void panel1_MouseDown(object sender, MouseEventArgs e)
        {
            // Control panel = (Control) sender;
            Control panel = sender as Control;
            if (e.Button == MouseButtons.Left)
                pen = new Pen(panel.BackColor);
            else if (e.Button == MouseButtons.Middle)
            {
                colorDialog1.ShowDialog ();
                panel.BackColor = colorDialog1.Color;
                pen = new Pen(panel.BackColor);
            }
        }

        private void quitMenu_Click(object sender, EventArgs e)
        {
            this.Close ();
        }


    }
}
